#
# spec file for package perl-Plack-Middleware-RemoveRedundantBody
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Plack-Middleware-RemoveRedundantBody
Version:        0.09
Release:        1.22
%define cpan_name Plack-Middleware-RemoveRedundantBody
Summary:        Plack::Middleware which removes body for HTTP response if it's not required
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SW/SWEETKID/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Middleware)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Plack::Util)
BuildRequires:  perl(parent)
Requires:       perl(Plack::Middleware)
Requires:       perl(Plack::Util)
Requires:       perl(parent)
%{perl_requires}

%description
This module removes body in HTTP response, if it's not required.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Tue Jul 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.09
  see /usr/share/doc/packages/perl-Plack-Middleware-RemoveRedundantBody/Changes
* Tue Feb 27 2018 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Plack-Middleware-RemoveRedundantBody/Changes
  0.07
  * Removed redundant object allocations & some minor fixes
* Mon Sep 25 2017 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Plack-Middleware-RemoveRedundantBody/Changes
  0.06
  * Made version number consistent
* Sat May  2 2015 coolo@suse.com
- updated to 0.05
  see /usr/share/doc/packages/perl-Plack-Middleware-RemoveRedundantBody/Changes
  0.05
  * Added repository and bugtracker information to metadata
  * Removed unneeded dependency on Carp::Always
* Thu Apr 24 2014 mardnh@gmx.de
- update to 0.04
  * Added a Changes file & fixed POD (RT 94942, reported by Florian)
* Sun Apr 20 2014 mardnh@gmx.de
- initial package 0.03
  * created by cpanspec 1.78.06
